%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/xhit/go-str2duration
Version:                2.1.0

%gometa

%global goaltipaths     github.com/xhit/go-str2duration/v2

%global common_description %{expand:
Convert string to duration in golang.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Convert string to duration in golang

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Aug 14 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
